%define  version 2.3.4
%define  rel     4  
%define  release %mkrel %rel

Summary: KAKASI - kanji kana simple inverter
Name: kakasi
Version: %{version}
Release: %{release}
Source: http://kakasi.namazu.org/stable/kakasi-%{version}.tar.bz2
URL: http://kakasi.namazu.org/
License: GPL
Group: System/Internationalization
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
KAKASI is the language processing filter to convert Kanji characters 
to Hiragana, Katakana or Romaji(1) and may be helpful to read Japanese 
documents. Word-splitting patch has merged from version 2.3.0.

%description -l ja
KAKASI ϴʤޤʸҤ餬ʸ޻ʸѴ뤳Ȥ
ŪȤƺץȼΤǤˡС 
2.3.0 ϡʬ񤭥ѥåޡޤ

%package devel
Summary: Header file and libraries of KAKASI
Group: Development/Other
Requires: kakasi = %{version}

%description devel
Header file and Libraries of KAKASI. 

%description devel -l ja
KAKASIΥإåեڤӥ饤֥Ǥ

%package dict
Summary: The base dictionary of KAKASI
Group: System/Internationalization
Obsoletes: kakasidict
Provides: kakasidict

%description dict
The basic dictionary of KAKASI.

%description dict -l ja
KAKASIδܼǤ

%prep
%setup

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

gzip --best $RPM_BUILD_DIR/%{name}-%{version}/doc/kakasi.1
mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man1
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/doc/kakasi.1.gz \
	$RPM_BUILD_ROOT%{_mandir}/ja/man1
%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config
%endif
%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README README-ja
%{_bindir}/kakasi
%{_bindir}/mkkanwa
%{_bindir}/atoc_conv
%{_bindir}/rdic_conv
%{_bindir}/wx2_conv
%{_libdir}/libkakasi.so.*
%{_mandir}/ja/man1/kakasi.1.bz2
%{_datadir}/kakasi/itaijidict

%files devel
%defattr(-, root, root)
%{_bindir}/kakasi-config
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/%{name}-config
%endif
%{_libdir}/libkakasi.so
%{_libdir}/libkakasi.a
%{_libdir}/libkakasi.la
%{_includedir}/libkakasi.h

%files dict
%defattr(-, root, root)
%{_datadir}/kakasi/kanwadict

%changelog
* Sat Jul 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.4-4mdv2007.0
- Rebuild

* Tue Apr 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.4-3mdk
- Fix MultiArch

* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.3.4-2mdk
- rebuild

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3.4-1mdk
- 2.3.4

* Fri Oct 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.3.3-2mdk
- 2.3.3

* Thu Sep 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.3.3-1mdk
- first mandrake release
- man page in bz2

* Tue Mar 20 2001 Ryuji Abe <rug@namazu.org>
- Built against RHL 7.1 beta
- more macros
- fix %files
- initialize global variables correctly (Thanks takesako-san)

* Mon Jan 22 2001 Ryuji Abe <rug@namazu.org>
- fix source.

* Thu Jan 04 2001 Ryuji Abe <rug@namazu.org>
- fix typo in %description.

* Thu Aug 31 2000 Ryuji Abe <rug@namazu.org>
- ja -> ja_JP.eucJP.

* Sat Mar 04 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- fix summary.

* Wed Dec 08 1999 Motonobu Ichimura <famao@kondara.org>
- change Group ( Utilities/Text -> Applications/Text ) for Kondara

* Fri Oct 28 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- added japanese manpage in packages.
- build dict packages.

* Sat Oct 16 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- fixed including libkakasi.so* in non-devel packages.

